<template>
  <div>
    <div style="width:100px;height:5px"></div>
    <div style="background:#d3e1e8;width:95%;height:90px;margin:0px auto;">
      <ul style="list-style-type:none;">
        <li class="mostLeastSoldList"
          style="text-align:center;">
          Most sold Product
        </li>
        <li class="mostLeastSoldList">
          <span class="detailLabel">Name</span>
          &nbsp;{{mostSoldProduct.name}}
        </li>
        <li class="mostLeastSoldList">
          <span class="detailLabel">Number</span>
          &nbsp;{{mostSoldProduct.number}}
        </li>
      </ul>
    </div>
    <div style="background:#98d6de;width:95%;height:90px;margin:5px auto;">
      <ul style="list-style-type:none;">
        <li class="mostLeastSoldList"
          style="text-align:center;">
          Least sold Product
        </li>
        <li class="mostLeastSoldList">
          <span class="detailLabel">Name</span>
          &nbsp;{{leastSoldProduct.name}}
        </li>
        <li class="mostLeastSoldList">
          <span class="detailLabel">Number</span>
          &nbsp;{{leastSoldProduct.number}}
        </li>
      </ul>
    </div>
  </div>
</template>
<script>
export default {
  name: 'MostAndLeastSoldProductComponent',
  computed: {
    mostSoldProduct () {
      let mostSoldProduct = {}
      this.$store.state.reportModule.tableSalesResult.forEach(element => {
        if (mostSoldProduct.number === undefined) {
          mostSoldProduct = element
        } else {
          if (mostSoldProduct.number < element.number) {
            mostSoldProduct = element
          }
        }
      })
      return mostSoldProduct
    },
    leastSoldProduct () {
      let leastSoldProduct = {}
      this.$store.state.reportModule.tableSalesResult.forEach(element => {
        if (leastSoldProduct.number === undefined) {
          leastSoldProduct = element
        } else {
          if (leastSoldProduct.number > element.number) {
            leastSoldProduct = element
          }
        }
      })
      return leastSoldProduct
    }
  }
}
</script>
<style scoped>
.mostLeastSoldList{
  padding: 3px 2px 3px 10px;
}
</style>
